c 1 GETDISTANCE
c   Subroutine to determine the distance (in meters) 
c   between two pairs of positions.
c 2 USAGE
c   "a" = argument, "r" = referenced, "s" = set
c   
c   call getdistance                      (with the following arguments)
c          Latitude1                   [variable r*8 a]
c          Longitude1                  [variable r*8 a]
c          Latitude2                   [variable r*8 a]
c          Longitude2                  [variable r*8 a]
c          Distance                    [variable r*8 sr]
c 2 SUBROUTINES
c   None so far
c 2 LIMITATIONS
c   a- I am temporarily neglecting the curvature of the earth.
c   b- The input has to be  latitude and longitude. 
c

      subroutine getdistance (Latitude1, Longitude1,
     *                        Latitude2, Longitude2,
     *                        Distance)
c      implicit none

      real * 8 Latitude1, Longitude1
      real * 8 Latitude2, Longitude2

      real * 8 Distance
      real * 8 DeltaX,  DeltaY

c     character * 8 DataType



c  bail out if UNKNOWN (UNACCEPTABLE) input

c     if (DataType(1:7) .eq. 'UNKNOWN') then
c         Distance = 0.0
c     else
c         if (DataType(1:8) .eq. 'LAT/LONG') then
c             Latitude1 = Position1x
c             Longitude1 = Position1y
c
c             Latitude2 = Position2x
c             Longitude2 = Position2y
c
c             Zone1 = 0
c
  
c  if points turn out to be in different zones, 
c  force them into the same one

              DeltaX = Latitude1 - Latitude2
              DeltaY = Longitude1 - Longitude2

              Distance = dsqrt ((DeltaX ** 2) + (DeltaY ** 2))

c             if (Distance .gt. 99999.0) then
c                 print *, 'Excessive getdistance ', Distance
c                 print *, Zone1, Latitude1, Longitude1,
c    *                     UTMX1, UTMX2, DeltaX
c                 print *, Zone2, Latitude2, Longitude2,
c    *                     UTMY1, UTMY2, DeltaY
c             end if



      return
      end
