      subroutine INTERP (value,hg,ix,iy,number)
c
c  This subroutine Compute the weights for Barnes' scheme
c  and the values of the interpolated functions.
c
      parameter(ns=85,l=27,m=15)
      common /dist/x(ns),y(ns),ib(ns),jb(ns),xg(l),yg(m)
      real value(ns),hg(ix,iy)
  21  format(10f8.2)
c
c  Define the radius of influence .
c
      r         = 2.75e5
      rsqr      = r*r
      do 5220 i = 1, ix
      do 5220 j = 1, iy
         suma   = 0.
         sumb   = 0.
      do 5221 k = 1,ns
c
c  Compute distance between grid point and station .
c
      dist2  = (x(k)-xg(i)*cos(39.+dy*(j-1)))**2
     &                           +(y(k)-yg(j))**2
c
c  Set an arbitary test.Critical value needs to be
c  changed  corresponding to input data set.
c
      if (value(k).gt.5000.) go to 5221
c
c  Check if the station is within the
c  radius of influence .
c
      if (dist2.gt.rsqr) go to 5221
c
c  compute the weigths (eq. 5.28)
c
      wgt       = exp(-4.*dist2/rsqr)
c
c  compute the interpolated value (eq. 5.29)
c
      prod      = value(k)*wgt
      suma      = suma+wgt
      sumb      = sumb+prod
 5221 continue
      hg(i,j)   = sumb/suma
 5220 continue
      return
      end
