				Neal      FUNCTION OUTFLW(WDIR,WSPD,VLAT,VLON)
C +++++++++++++++++++++++++++++++++C
C  CALCULATE OUTFLOW ANGLE OF WIND C
C +++++++++++++++++++++++++++++++++C

      ANGL = 3.1415/180.
      CALL DEG_360(WDIR)		! ensure 0 < wind direction < 360
      CALL COMP(U,V,WDIR,WSPD)		! put wind into U & V components
      RWIN = RADW(VLAT,VLON,U,V)	! find radial wind
      TWIN = TANW(VLAT,VLON,U,V)	! find tangential wind
      WIND = ATAN2(RWIN,TWIN)/ANGL	! find angle between rad & tan winds
      IF(WIND.GT.180.)WIND = WIND-360.
      IF(WIND.LT.-180.)WIND = WIND+360. ! ensure -180 < outflow < 180
      OUTFLW = WIND 
      RETURN
      END 


      SUBROUTINE DEG_360(ANGLE) 
C ++++++++++++++++++++++++++++++++++++++++++++++++C 
C   DEG_360 - BE SURE ANGLE IS BETWEEN 0 AND 360  C 
C ++++++++++++++++++++++++++++++++++++++++++++++++C 

100   IF(ANGLE.GT.360.)THEN 
        ANGLE = ANGLE -360. 
        GO TO 100 
      ENDIF 
      IF(ANGLE.LT.0.)THEN 
        ANGLE = ANGLE + 360.
        GO TO 100 
      ENDIF 
      RETURN
      END 

