      program cnv_shap_max1min
c
      character*100 filnam
      character*3 outid
      character*1 flag
      common /pi/ pi
      data adjwdr /8.0/, geopot /-99.0/, pres_out /1070.0/
c
      pi = 4.0 * atan(1.0)
      write(*,*) ' Type input file name '
      read(*,10) filnam
10     format(a100)
      open(unit=1,file=filnam,status='old')
c      open(unit=1,file=filnam,status='old',READONLY)
c
      write(*,*) ' Type output file name '
      read(*,10) filnam
      open(unit=2,file=filnam,status='unknown')
c
1      read(1,60,end=99)ityp,day,ihour,
     >        rlat,rlon,sfc,
     >        temp,rhum,pres,u,v,outid,flag
60     format(i2,1x,f7.0,1x,i6,1x,2(f7.3,1x),3(f6.1,1x),f7.1,
     >       2(f6.1,1x),a3,a1)
c
       call cnvuv(u,v,wspd,wdir)
c
      wdir = wdir - adjwdr
      if (wdir .lt. 0.0) wdir = wdir + 360.0
c
c    Convert to max. 1-min sustained value 
c [i.e., G1 =2.6631-2.1244*alog10(tavg)+.85245*(alog10(tavg))^2-.10346*(alog10(tavg))^3
c     so G1 = 1.236 where tavg = 3600 sec]
c
       if (wspd .ge. 0.0) then
         t = 600.0
c         g = 1.236
         g = 1.1
        else
         g = 1.0
        end if
        wspd = wspd * g
c
      call uvcomp(wdir,wspd,u,v)
      write(2,61)ityp,day,ihour,rlat,rlon,pres_out,
     >        temp,rhum,geopot,u,v,outid,flag
61     format(i2,1x,f7.0,1x,i6,1x,2(f7.3,1x),3(f6.1,1x),f7.1,
     >       2(f6.1,1x),a3,a1)
c
      go to 1
99    stop
      end
c
      subroutine uvcomp(dir,spd,u,v)
      degrad=atan(1.)/45.
      dirdg=270.-dir
      if(dirdg.lt.0.)then
        dirdg=dirdg+360.
      endif
      dirrd=dirdg*degrad
      u=spd*cos(dirrd)
      v=spd*sin(dirrd)
      return
      end
      subroutine cnvuv(u,v,wspd,wdir)
c
      common /pi/ pi
c Routine converts u, v components into wind speed, wind direction
c
       if (u .ne. -99.0 .and. v .ne. -99.0) then
        wspd = SQRT(u*u + v*v)
        IF ((u .GT. -0.01 .AND. u .LT. 0.01) .AND.
     >      (v .GT. -0.01 .AND. v .LT. 0.01)) THEN
         wdir = 0.0
        ELSE
         u = -u
         wdir = ATAN2(v,u)
         wdir = wdir - (pi*3.0)/2.0
         IF (wdir .GE. (pi*2.0)) THEN
          wdir = wdir - (pi * 2.0)
         ELSE IF (wdir .LT. 0.0 .AND. wdir .GE. -(pi*2.0)) THEN
          wdir = wdir + (pi * 2.0)
         ELSE IF (wdir .LT. -(pi*2.0)) THEN
          wdir = wdir + (pi * 4.0)
         END IF
        END IF
C
        wdir = wdir * 180.0 / pi
c
        else
         wspd = -99.0
         wdir = -99.0
        end if
c
        return
        end
c
